{% extends "::base.html.twig" %}

{% trans_default_domain 'FOSUserBundle' %}


{% block fos_user_content %}

    {% if error %}
        <div>{{ error|trans({}, 'FOSUserBundle') }}</div>
    {% endif %}
  {% block body %}

      <div id="all">
              {% block login %}
          <div class="modal fade" id="login-modal" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">
              <div class="modal-dialog modal-sm">

                  <div class="modal-content">
                      <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                          <h4 class="modal-title" id="Login">Accédez à votre compte</h4>
                      </div>
                      <div class="modal-body">

                          <form action="{{ path("fos_user_security_check") }}" method="post">
                              {#<input type="hidden" name="_opShop" value="{{ path('client_Shop_Op',{'id':operation[0]}) }}" />#}

                              <div class="form-group">
                                  <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />

                                  <input type="text" id="email-modal" name="_username" value="{{ last_username }}" class="form-control" required="required" placeholder="Nom d'utilisateur | Email">
                              </div>
                              <div class="form-group">

                                  <input type="password" required="required" name="_password" class="form-control" id="password-modal" placeholder="Mot de passe">
                              </div>
                              <div class="form-group">
                                  <label for="remember"> <p class="text-center text-muted"> Se souvient de moi </p> </label>
                                  <input type="checkbox" id="remember_me" name="_remember_me" value="on" />
                              </div>

                              <p class="text-center">

                                  <button type="submit" id="_submit" name="_submit" value="{{ 'security.login.submit'|trans({}, 'FOSUserBundle') }}"  class="btn btn-primary" ><i class="fa fa-sign-in"></i>Se connecter </button>
                              </p>

                          </form>

                          <p class="text-center text-muted">Vous n'avez pas encore un compte?</p>
                          <p class="text-center text-muted"><a href="register.html"><strong>S'inscrire</strong></a></p>

                      </div>
                  </div>
              </div>
          </div>


              {% endblock login %}
          <div id="content">

              <div class="container">

                  <div class="col-md-12">

                      <ul class="breadcrumb">
                          <li><a href="#">Home</a>
                          </li>
                          <li>Ladies</li>
                      </ul>

                      <div class="box">
                          <h1>{{ operation[0].nom }}</h1>
                      </div>

                      <div class="box info-bar">
                          <div class="row">
                              <div class="col-sm-12 col-md-4 products-showing">
                                  Showing <strong>12</strong> of <strong>25</strong> products
                              </div>

                              <div class="col-sm-12 col-md-8  products-number-sort">
                                  <div class="row">
                                      <form class="form-inline">
                                          <div class="col-md-6 col-sm-6">
                                              <div class="products-number">
                                                  <strong>Show</strong>  <a href="#" class="btn btn-default btn-sm btn-primary">12</a>  <a href="#" class="btn btn-default btn-sm">24</a>  <a href="#" class="btn btn-default btn-sm">All</a> products
                                              </div>
                                          </div>
                                          <div class="col-md-6 col-sm-6">
                                              <div class="products-sort-by">
                                                  <strong>Sort by</strong>
                                                  <select name="sort-by" class="form-control">
                                                      <option>Price</option>
                                                      <option>Name</option>
                                                      <option>Sales first</option>
                                                  </select>
                                              </div>
                                          </div>
                                      </form>
                                  </div>
                              </div>
                          </div>
                      </div>

                      <div class="row products">
          {% if operation[0].produits|length>4 %}
             {% set val=3 %}
          {% else %}
             {% set val=6 %}
          {% endif %}
          {% for  p in operation[0].produits %}

                          <div class="col-md-{{ val }} col-sm-4">
                              <div class="product">

                                  <div class="flip-container">
                                      <div class="flipper">
                                          <div class="front">
                                              <a href="{{ path('client_Produit_Detail', {'id': p.id}) }}">
                                                  <img src="{{ asset ('uploads/images/'~p.img) }}" alt="" class="img-responsive">
                                              </a>
                                          </div>
                                          <div class="back">
                                              <a href="detail.html">
                                                  <img src="{{ asset ('uploads/images/'~p.img) }}" alt="" class="img-responsive">
                                              </a>
                                          </div>
                                      </div>
                                  </div>
                                  <a href="{{ path('client_Produit_Detail', {'id': p.id}) }}" class="invisible">
                                      <img src="{{ asset ('uploads/images/'~p.img) }}" alt="" class="img-responsive">
                                  </a>
                                  <div class="text">
                                      <h3><a href="detail.html">Fur coat with very but very very long name</a></h3>
                                      <p class="price">$143.00</p>
                                      <p class="buttons">

                                          <a href="{{ path('client_Produit_Detail', {'id': p.id}) }}" class="btn btn-default">View detail</a>
                                          {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %} {% set modal="#basket-modal" %} {% else %} {% set modal="#login-modal" %} {% endif %}
                                          <a href="#" data-toggle="modal" data-target="{{ modal }}" class="btn btn-primary">
                                          <i class="fa fa-shopping-cart"></i>Add to cart</a>







                                      </p>
                                  </div>
                                  <div class="modal fade" id="basket-modal" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">
                                      <div class="modal-dialog modal-sm">

                                          <div class="modal-content">
                                              <div class="modal-header">
                                                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                                  <h4 class="modal-title" id="Login">Ajouter ce produit </h4>
                                              </div>
                                              <div class="modal-body">

                                                  <form action="" method="post">
                                                      <div class="form-group">
                                                          <img src="{{ asset ('uploads/images/'~p.img) }}" alt="" class="img-responsive">
                                                      </div>
                                                      <div class="form-group">
                                                          <label for="qte" >Quantité :</label>
                                                          <input type="number" required="required" name="qte" class="form-control" id="qte-modal" placeholder="1" >
                                                      </div>


                                                      <p class="text-center">

                                                          <button type="submit" id="_submit" name="_submit" value=""  class="btn btn-primary" ><i class="fa fa-sign-in"></i>Ajouter </button>
                                                      </p>

                                                  </form>


                                              </div>
                                          </div>
                                      </div>
                                  </div>
                                  <!-- /.text -->
                              </div>
                              <!-- /.product -->
                          </div>
          {% endfor %}


                      </div>
                      <!-- /.products -->




                  </div>
                  <!-- /.col-md-9 -->

              </div>
              <!-- /.container -->
          </div>
          <!-- /#content -->








      </div>

      {% block javascripts %}


      <script type="application/javascript">

      </script>
      {% endblock %}
  {% endblock %}

{% endblock fos_user_content %}